## org.apache.batik.dom.svg
Class LiveAttributeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.batik.dom.svg.LiveAttributeException

All Implemented Interfaces:
  java.io.Serializable

    public class LiveAttributeException

extends java.lang.RuntimeException

Thrown when a live attribute cannot parse an attribute's value.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `attributeName` The attribute name.
`protected short` `code` The reason for the exception.
`protected org.w3c.dom.Element` `e` The element on which the error occured.
`static short` `ERR_ATTRIBUTE_MALFORMED`
`static short` `ERR_ATTRIBUTE_MISSING`
`static short` `ERR_ATTRIBUTE_NEGATIVE`
`protected java.lang.String` `value` The malformed attribute value.

Constructor Summary
`LiveAttributeException(org.w3c.dom.Element e, java.lang.String an, short code, java.lang.String val)` Constructs a new `LiveAttributeException` with the specified parameters.

Method Summary
`java.lang.String` `getAttributeName()` Returns the attribute name.
`short` `getCode()` Returns the error code.
`org.w3c.dom.Element` `getElement()` Returns the element on which the error occurred.
`java.lang.String` `getValue()` Returns the problematic attribute value.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERR_ATTRIBUTE_MISSING

    public static final short ERR_ATTRIBUTE_MISSING

See Also:
  Constant Field Values

### ERR_ATTRIBUTE_MALFORMED

    public static final short ERR_ATTRIBUTE_MALFORMED

See Also:
  Constant Field Values

### ERR_ATTRIBUTE_NEGATIVE

    public static final short ERR_ATTRIBUTE_NEGATIVE

See Also:
  Constant Field Values

### e

    protected org.w3c.dom.Element e

  The element on which the error occured.

### attributeName

    protected java.lang.String attributeName

  The attribute name.

### code

    protected short code

  The reason for the exception. This must be one of the ERR_* constants defined in this class.

### value

    protected java.lang.String value

  The malformed attribute value.

Constructor Detail

### LiveAttributeException

    public LiveAttributeException(org.w3c.dom.Element e,
                                  java.lang.String an,
                                  short code,
                                  java.lang.String val)

  Constructs a new `LiveAttributeException` with the specified parameters.

  Parameters:
    `e` - the element on which the error occured
    `an` - the attribute name
    `code` - the error code
    `val` - the malformed attribute value

Method Detail

### getElement

    public org.w3c.dom.Element getElement()

  Returns the element on which the error occurred.

### getAttributeName

    public java.lang.String getAttributeName()

  Returns the attribute name.

### getCode

    public short getCode()

  Returns the error code.

### getValue

    public java.lang.String getValue()

  Returns the problematic attribute value.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.